std::move_sentinel::move_sentinel(3)

NAME
std::move_sentinel::move_sentinel - std::move_sentinel::move_sentinel

Synopsis
   constexpr move_sentinel(); (1) (since C++20)
   constexpr explicit move_sentinel( S x ); (2) (since C++20)
   template< class S2 >
   requires std::convertible_to<const S2&, S> (3) (since C++20)
   constexpr move_sentinel(const std::move_sentinel<S2>& other);
   Constructs a new sentinel adaptor.
   1) Default constructor. The underlying sentinel is value-initialized.
   2) The underlying sentinel is initialized with x.
   3) The underlying sentinel is initialized with that of other.

Parameters
   x - sentinel to adapt
   other - sentinel adaptor to copy

Example
    This section is incomplete
    Reason: no example

See also
   constructor constructs a new iterator adaptor
   (C++11) (public member function of std::move_iterator<Iter>)